%define name            pygame
%define version 1.7.1
%define release 1mdk
%define lib_name_orig   lib%{name}
%define lib_major       1.7
%define lib_name        %mklibname %{name} %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.pygame.org/ftp/%{name}-%{version}release.tar.bz2
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPL style
Group:		System/Libraries
URL:		http://pygame.org/
Requires:	SDL >= 1.2.4
BuildRequires:	python-numeric-devel >= 22.0-4mdk SDL_mixer-devel
BuildRequires:	SDL_image-devel python-numeric >= 22.0-4mdk
BuildRequires:	SDL_ttf-devel smpeg-devel >= 0.4 python-devel >= %{py_ver}
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:   python-pygame

%description
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for the Numerical Python extension. pygame is the  successor  to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games  written  in
the python language.

%package doc
Summary: Pygame documentation and example programs
Group: Development/Python
%description doc
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install pygame-doc  if  you  need  the  API  documentation  and  example
programs.

%package -n %{lib_name}-devel
Summary: Pygame development headers
Group: Development/Python
%description -n %{lib_name}-devel
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install the devel package if you  want  to  build  programs  build  with
pygame.


%prep
%setup -q -n %{name}-%{version}release


%build
%__python config.py
%__python setup.py build


%install
%__rm -rf %buildroot
%__python setup.py install --prefix %buildroot%{_prefix}


%clean
%__rm -rf %buildroot


%files
%defattr(-,root,root)
%{_libdir}/python%{pyver}/site-packages/%{name}/
%doc WHATSNEW readme.txt 

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/python%{pyver}/%{name}/

%files doc
%defattr(-,root,root)
%doc docs/
%doc examples/


%changelog
* Sat Aug 27 2005 Michael Scherer <misc@mandriva.org> 1.7.1-1mdk
- New release 1.7.1
- rpmbuildupdateable
- rpmlint fix

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.6-4mdk
- Rebuild for new python


* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 1.6-3mdk
- own subdir 
- provides python-pygame ( naming policy )

* Tue Dec 30 2003 Franck Villaume <fvill@freesurf.fr> 1.6-2mdk
- fix some 64bits BuildRequires
- add python-numeric BuildRequires as python-numeric-devel has no requirements

* Sat Nov 15 2003 Han Boetes <han@linux-mandrake.com> 1.6-1mdk
- New release
- Lots of cleanups.

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.6-2mdk
- rebuild new python
- use %%mklibname macro
- rm -rf %%buildroot at the beginning of %%install
- non-interactive build (aka automatically answer yes to config)

* Sat Jun 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.6-1mdk
- 1.5.6

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.5-1mdk
- 1.5.5

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-2mdk
- rebuild

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.3-1mdk
- 1.5.3

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2

* Tue Jul 23 2002 Han Boetes <han@mijncomputer.nl> 1.5-1mdk
- Bump
- Spec-cleanups.
- Added missing dependency for libpython-devel

* Thu May 23 2002 Han Boetes <han@mijncomputer.nl> 1.4.9-1mdk
- initial mdk build.

* Tue Jan 29 2002 David Clark
- Packaged 1.4 release.
